import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';

export default {
  //获取所有门店
  GetAllStore() {
    return request(getStoremanagement()+'/api/shop/alllist', {
      method: 'GET',
    });
  },

 //根据门店ID查询 档口列表
 GetGateListByStoreList(StoreId) {
  return request(getStoremanagement()+`/api/GateInfo/gatealllist?StoreId=${StoreId}`, {
    method: 'GET'
  });
},

 /** 刷卡机管理：Start */
  //  新增刷卡机
  PayCardAdd(data) {
    return request(getStoremanagement()+`/api/PayCard/add`, {
      method: 'POST',
      data
    });
  },

  //刷卡机状态更改
  PayCardEnable(data) {
    return request(getStoremanagement()+`/PayCard/enable`, {
      method: 'POST',
      data
    });
  },

  //根据档口信息查询刷卡机列表
  PayCardByGateId(GateId, Current, PageSize) {
    return request(getStoremanagement()+`/api/PayCard/gateList?GateId=${GateId}&Current=${Current}&PageSize=${PageSize}`, {
      method: 'GET'
    });
  },

  //更新刷卡机信息
  UpdatePayCardInfo(data) {
    return request(getStoremanagement()+`/api/PayCard/update`, {
      method: 'POST',
      data
    });
  },

  //删除刷卡机
  DelPayCard(data) {
    return request(getStoremanagement()+`/api/PayCard/del?id=`+data, {
      method: 'POST',
    });
  },
  /** 刷卡机管理：End */


  

}
